import request from '@/utils/request'

//获取产品管理列表
export function listProductV2(query) {
  return request({
    url: 'product/info/page',
    method: 'get',
    params: query
  })
}
//新增商品管理
export function addProductV2(params) {
    return request({
      url: "/product/info/create",
      method: 'post',
      data: params
    })
  }

//删除商品管理
export function delProductV2(params) {
    return request({
      url: '/product/info/delete',
      method: 'delete',
      params
    })
  }
//编辑一条数据
export function editProductV2(params) {
  return request({
    url: '/product/info/update',
    method: 'put',
    data: params
  })
}
//获取一条数据
export function getOne(query) {
  return request({
    url: '/product/info/get',
    method: 'get',
    params: query
  })
}